Subject: Re: Fw: [PATCH -next RESEND/still needed] staging: altera-jtag needs delay.h

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 19 May 2011 16:22:06 -0300

Em 28-03-2011 12:23, Randy Dunlap escreveu:
> From: Randy Dunlap <[email-masked]>
> 
> altera-jtag.c needs to include <linux/delay.h> to fix a build error:
> 
> drivers/staging/altera-stapl/altera-jtag.c:398: error: implicit declaration of function 'udelay'
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
Acked-by: Mauro Carvalho Chehab <[email-masked]>

> Cc: Igor M. Liplianin <[email-masked]>
> ---
>  drivers/staging/altera-stapl/altera-jtag.c |    1 +
>  1 file changed, 1 insertion(+)
> 
> Somehow I was supposed to know to send this to Mauro instead of to Greg,
> but I don't see anything in drivers/staging/altera-stapl/ that says that.

Ah, yes, we need to add a readme file there stating about that.

Greg, you may add it on your tree, or if you prefer, I can just add here for
my next upstream pull.

Thanks,
Mauro.

> 
> 
> --- linux-next-20110304.orig/drivers/staging/altera-stapl/altera-jtag.c
> +++ linux-next-20110304/drivers/staging/altera-stapl/altera-jtag.c
> @@ -23,6 +23,7 @@
>   * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
>   */
>  
> +#include <linux/delay.h>
>  #include <linux/firmware.h>
>  #include <linux/slab.h>
>  #include <staging/altera.h>
> --